Signals. Infra
API Reference

Ownership & smart money

GET
/v1/insider

Authorization

InfraApiKey
AuthorizationBearer <token>

Send sk_live_* (production) or sk_test_* (test mode).

In: header

Query Parameters

transaction_types?array<string>|

Form 4 codes, e.g. P (open-market buy), S (sale). Repeatable.

min_value?|

minimum $ transaction value

start_date?|

filing_date >= YYYY-MM-DD

end_date?|

filing_date <= YYYY-MM-DD

cursor?string|null
limit?|null

Response Body

application/json

application/problem+json

application/json

application/problem+json

curl -X GET "https://example.com/v1/insider"
{  "data": [    {      "id": 917231,      "symbol": "UBER:US",      "ticker": "UBER",      "company_cik": "0001543151",      "insider": {        "name": "Khosrowshahi Dara",        "relationship": "CEO"      },      "transaction_type": "sale",      "transaction_code": "S",      "shares": 145000,      "price": {        "raw": 83.15,        "normalized": 83.15,        "unit": "USD_per_share",        "original_unit": "USD_per_share",        "conversion_factor": 1      },      "value": {        "raw": 12056750,        "normalized": 12056750,        "unit": "USD",        "original_unit": "USD",        "conversion_factor": 1      },      "shares_owned_after": 2155500,      "transaction_date": "2026-05-13",      "filing_date": "2026-05-15",      "provenance": {        "src_id": "src_insider_e60c3129f57efcc1",        "source_provider": "sec",        "source_url": "https://www.sec.gov/Archives/edgar/data/1543151/000089924326016812/xslF345X05/doc4.xml",        "accession": "0000899243-26-016812",        "quote": null,        "content_hash": null,        "extracted_at": null      }    }  ],  "pagination": {    "next_cursor": null,    "has_more": false  }}
GET
/v1/companies/{symbol}/insider

Authorization

InfraApiKey
AuthorizationBearer <token>

Send sk_live_* (production) or sk_test_* (test mode).

In: header

Path Parameters

symbol*Symbol

Query Parameters

transaction_types?array<string>|null
min_value?|null
start_date?string|null
end_date?string|null
cursor?string|null
limit?|null

Response Body

application/json

application/problem+json

application/json

application/problem+json

curl -X GET "https://example.com/v1/companies/string/insider"
{  "data": [    {      "id": 917231,      "symbol": "UBER:US",      "ticker": "UBER",      "company_cik": "0001543151",      "insider": {        "name": "Khosrowshahi Dara",        "relationship": "CEO"      },      "transaction_type": "sale",      "transaction_code": "S",      "shares": 145000,      "price": {        "raw": 83.15,        "normalized": 83.15,        "unit": "USD_per_share",        "original_unit": "USD_per_share",        "conversion_factor": 1      },      "value": {        "raw": 12056750,        "normalized": 12056750,        "unit": "USD",        "original_unit": "USD",        "conversion_factor": 1      },      "shares_owned_after": 2155500,      "transaction_date": "2026-05-13",      "filing_date": "2026-05-15",      "provenance": {        "src_id": "src_insider_e60c3129f57efcc1",        "source_provider": "sec",        "source_url": "https://www.sec.gov/Archives/edgar/data/1543151/000089924326016812/xslF345X05/doc4.xml",        "accession": "0000899243-26-016812",        "quote": null,        "content_hash": null,        "extracted_at": null      }    }  ],  "pagination": {    "next_cursor": null,    "has_more": false  }}
GET
/v1/institutions/holders-of/{symbol}

Authorization

InfraApiKey
AuthorizationBearer <token>

Send sk_live_* (production) or sk_test_* (test mode).

In: header

Path Parameters

symbol*Symbol

Query Parameters

cursor?string|null
limit?|null

Response Body

application/json

application/problem+json

application/json

application/problem+json

curl -X GET "https://example.com/v1/institutions/holders-of/string"
{  "data": [    {      "institution": {        "cik": "0001067983",        "name": "Berkshire Hathaway Inc."      },      "value": {        "raw": 428700000,        "normalized": 428700000,        "unit": "USD",        "original_unit": "USD",        "conversion_factor": 1      },      "shares": 7215000,      "period_of_report": "2026-03-31",      "provenance": {        "src_id": "src_ownership13f_6dd1d11e1d7c8b4a",        "source_provider": "sec",        "source_url": "https://www.sec.gov/Archives/edgar/data/1067983/000095012326007654/xslForm13F_X02/form13fInfoTable.xml",        "accession": "0000950123-26-007654",        "quote": null,        "content_hash": null,        "extracted_at": null      }    }  ],  "pagination": {    "next_cursor": null,    "has_more": false  }}
GET
/v1/institutions/flow-of/{symbol}

Authorization

InfraApiKey
AuthorizationBearer <token>

Send sk_live_* (production) or sk_test_* (test mode).

In: header

Path Parameters

symbol*Symbol

Response Body

application/json

application/problem+json

application/json

application/problem+json

curl -X GET "https://example.com/v1/institutions/flow-of/string"
{  "data": [    {      "period_of_report": "2026-03-31",      "holders": 248,      "holders_change": 11,      "value": {        "raw": 7640000000,        "normalized": 7640000000,        "unit": "USD",        "original_unit": "USD",        "conversion_factor": 1      },      "shares": 123600000,      "provenance": {        "src_id": "src_ownership13f_1aa652cdb8fca17e",        "source_provider": "sec",        "source_url": "https://www.sec.gov/Archives/edgar/data/1067983/000095012326007654/xslForm13F_X02/form13fInfoTable.xml",        "accession": null,        "quote": null,        "content_hash": null,        "extracted_at": null      }    }  ],  "pagination": {    "next_cursor": null,    "has_more": false  }}
GET
/v1/institutions/{cik}/positions

Authorization

InfraApiKey
AuthorizationBearer <token>

Send sk_live_* (production) or sk_test_* (test mode).

In: header

Path Parameters

cik*Cik

Query Parameters

cursor?string|null
limit?|null

Response Body

application/json

application/problem+json

application/json

application/problem+json

curl -X GET "https://example.com/v1/institutions/string/positions"
{  "data": [    {      "ticker": "UBER",      "symbol": "UBER:US",      "name": "Uber Technologies, Inc.",      "cusip": "90353T100",      "value": {        "raw": 428700000,        "normalized": 428700000,        "unit": "USD",        "original_unit": "USD",        "conversion_factor": 1      },      "shares": 7215000,      "put_call": null,      "period_of_report": "2026-03-31",      "provenance": {        "src_id": "src_ownership13f_6dd1d11e1d7c8b4a",        "source_provider": "sec",        "source_url": "https://www.sec.gov/Archives/edgar/data/1067983/000095012326007654/xslForm13F_X02/form13fInfoTable.xml",        "accession": "0000950123-26-007654",        "quote": null,        "content_hash": null,        "extracted_at": null      }    }  ],  "pagination": {    "next_cursor": null,    "has_more": false  }}
GET
/v1/congress

Authorization

InfraApiKey
AuthorizationBearer <token>

Send sk_live_* (production) or sk_test_* (test mode).

In: header

Query Parameters

ticker?string|null
cursor?string|null
limit?|null

Response Body

application/json

application/problem+json

application/json

application/problem+json

curl -X GET "https://example.com/v1/congress"
{  "data": [    {      "id": 38711,      "ticker": "UBER",      "symbol": "UBER:US",      "asset_name": "Uber Technologies Inc.",      "politician": {        "first": "Tommy",        "last": "Tuberville",        "chamber": "senate",        "party": "R",        "state_district": "AL"      },      "transaction_type": "purchase",      "amount_range": "$15,001 - $50,000",      "owner": "self",      "transaction_date": "2026-02-12",      "filing_date": "2026-03-10",      "filed_after_days": 26,      "provenance": {        "src_id": "src_congress_d9a3fd60ab6c1cb2",        "source_provider": "senate_efd",        "source_url": "https://efdsearch.senate.gov/search/view/ptr/8aa1a57b-61fe-4c62-a3d7-0ea70fbcfd98/",        "accession": null,        "quote": "Purchase - Uber Technologies Inc - $15,001 to $50,000 - 2026-02-12",        "content_hash": null,        "extracted_at": null      }    }  ],  "pagination": {    "next_cursor": null,    "has_more": false  }}
GET
/v1/congress/politicians/{slug}

Authorization

InfraApiKey
AuthorizationBearer <token>

Send sk_live_* (production) or sk_test_* (test mode).

In: header

Path Parameters

slug*Slug

Query Parameters

cursor?string|null
limit?|null

Response Body

application/json

application/problem+json

application/json

application/problem+json

curl -X GET "https://example.com/v1/congress/politicians/string"
{  "data": [    {      "id": 38711,      "ticker": "UBER",      "symbol": "UBER:US",      "asset_name": "Uber Technologies Inc.",      "politician": {        "first": "Tommy",        "last": "Tuberville",        "chamber": "senate",        "party": "R",        "state_district": "AL"      },      "transaction_type": "purchase",      "amount_range": "$15,001 - $50,000",      "owner": "self",      "transaction_date": "2026-02-12",      "filing_date": "2026-03-10",      "filed_after_days": 26,      "provenance": {        "src_id": "src_congress_d9a3fd60ab6c1cb2",        "source_provider": "senate_efd",        "source_url": "https://efdsearch.senate.gov/search/view/ptr/8aa1a57b-61fe-4c62-a3d7-0ea70fbcfd98/",        "accession": null,        "quote": "Purchase - Uber Technologies Inc - $15,001 to $50,000 - 2026-02-12",        "content_hash": null,        "extracted_at": null      }    }  ],  "pagination": {    "next_cursor": null,    "has_more": false  }}
GET
/v1/companies/{symbol}/congress

Authorization

InfraApiKey
AuthorizationBearer <token>

Send sk_live_* (production) or sk_test_* (test mode).

In: header

Path Parameters

symbol*Symbol

Query Parameters

cursor?string|null
limit?|null

Response Body

application/json

application/problem+json

application/json

application/problem+json

curl -X GET "https://example.com/v1/companies/string/congress"
{  "data": [    {      "id": 38711,      "ticker": "UBER",      "symbol": "UBER:US",      "asset_name": "Uber Technologies Inc.",      "politician": {        "first": "Tommy",        "last": "Tuberville",        "chamber": "senate",        "party": "R",        "state_district": "AL"      },      "transaction_type": "purchase",      "amount_range": "$15,001 - $50,000",      "owner": "self",      "transaction_date": "2026-02-12",      "filing_date": "2026-03-10",      "filed_after_days": 26,      "provenance": {        "src_id": "src_congress_d9a3fd60ab6c1cb2",        "source_provider": "senate_efd",        "source_url": "https://efdsearch.senate.gov/search/view/ptr/8aa1a57b-61fe-4c62-a3d7-0ea70fbcfd98/",        "accession": null,        "quote": "Purchase - Uber Technologies Inc - $15,001 to $50,000 - 2026-02-12",        "content_hash": null,        "extracted_at": null      }    }  ],  "pagination": {    "next_cursor": null,    "has_more": false  }}
GET
/v1/companies/{symbol}/short-interest

Authorization

InfraApiKey
AuthorizationBearer <token>

Send sk_live_* (production) or sk_test_* (test mode).

In: header

Path Parameters

symbol*Symbol

Query Parameters

cursor?string|null
limit?|null

Response Body

application/json

application/problem+json

application/json

application/problem+json

curl -X GET "https://example.com/v1/companies/string/short-interest"
{  "data": [    {      "settlement_date": "2026-05-15",      "current_short_position": 56811000,      "previous_short_position": 54392000,      "avg_daily_share_volume": 12870000,      "days_to_cover": 4.41,      "change_pct": 4.45,      "provenance": {        "src_id": "src_short_interest_b5c8df20bca4790d",        "source_provider": "finra",        "source_url": "https://www.finra.org/finra-data/browse-catalog/short-sale-volume-data",        "accession": null,        "quote": null,        "content_hash": null,        "extracted_at": null      }    }  ],  "pagination": {    "next_cursor": null,    "has_more": false  }}